Cannot update to 7.7.3 from 7.1.2 Topic is solved

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
Namonai
Posts: 4
Joined: Mon Nov 08, 2021 10:34 am

Cannot update to 7.7.3 from 7.1.2

Post by Namonai »

Hello everyone,

yeah I'm a bit behind with my updates, but I finally noticed that my automatic update script doesn't seem to work anymore. But I now have problems updating to the latest version. I already applied the fix from here, which helped a bit, but didn't solve all issues:
viewtopic.php?p=37201

After applying that fix, I still have the following issue:

Code: Select all

│  - Command: apt-get -o Acquire::AllowReleaseInfoChange::Suite=true -q update
│  - Exit code: 100
│  - DietPi version: v7.1.2 (MichaIng/master) | HW_MODEL: 3 | HW_ARCH: 2 | DISTRO: 4
│  - Image creator: DietPi Core Team
│  - Pre-image: Raspbian Lite
│  - Error log:
│ Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
│ Ign:2 https://apt.sonarr.tv/debian stretch InRelease
│ Hit:3 https://packages.sury.org/php stretch InRelease
│ Hit:4 https://archive.raspberrypi.org/debian stretch InRelease
│ Ign:5 https://apt.sonarr.tv/debian stretch Release
│ Ign:6 https://apt.sonarr.tv/debian stretch/main armhf Packages
│ Ign:7 https://apt.sonarr.tv/debian stretch/main all Packages
│ Ign:6 https://apt.sonarr.tv/debian stretch/main armhf Packages
│ Ign:7 https://apt.sonarr.tv/debian stretch/main all Packages
│ Ign:6 https://apt.sonarr.tv/debian stretch/main armhf Packages
│ Ign:7 https://apt.sonarr.tv/debian stretch/main all Packages
│ Ign:6 https://apt.sonarr.tv/debian stretch/main armhf Packages
│ Ign:7 https://apt.sonarr.tv/debian stretch/main all Packages
│ Ign:6 https://apt.sonarr.tv/debian stretch/main armhf Packages
│ Ign:7 https://apt.sonarr.tv/debian stretch/main all Packages
│ Err:6 https://apt.sonarr.tv/debian stretch/main armhf Packages
│   server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
│ Ign:7 https://apt.sonarr.tv/debian stretch/main all Packages
│ Ign:8 https://download.mono-project.com/repo/debian raspbianstretch InRelease
│ Ign:9 https://download.mono-project.com/repo/debian raspbianstretch Release
│ Ign:10 https://download.mono-project.com/repo/debian raspbianstretch/main all Packages
│ Ign:11 https://download.mono-project.com/repo/debian raspbianstretch/main armhf Packages
│ Ign:10 https://download.mono-project.com/repo/debian raspbianstretch/main all Packages
│ Ign:11 https://download.mono-project.com/repo/debian raspbianstretch/main armhf Packages
│ Ign:10 https://download.mono-project.com/repo/debian raspbianstretch/main all Packages
│ Ign:11 https://download.mono-project.com/repo/debian raspbianstretch/main armhf Packages
│ Ign:10 https://download.mono-project.com/repo/debian raspbianstretch/main all Packages
│ Ign:11 https://download.mono-project.com/repo/debian raspbianstretch/main armhf Packages
│ Ign:10 https://download.mono-project.com/repo/debian raspbianstretch/main all Packages
│ Ign:11 https://download.mono-project.com/repo/debian raspbianstretch/main armhf Packages
│ Ign:10 https://download.mono-project.com/repo/debian raspbianstretch/main all Packages
│ Err:11 https://download.mono-project.com/repo/debian raspbianstretch/main armhf Packages
│   504  Gateway Timeout
│ Reading package lists...
│ W: The repository 'https://apt.sonarr.tv/debian stretch Release' does not have a Release file.
│ W: The repository 'https://download.mono-project.com/repo/debian raspbianstretch Release' does not have a Release
│ file.
│ E: Failed to fetch https://apt.sonarr.tv/debian/dists/stretch/main/binary-armhf/Packages  server certificate
│ verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
│ E: Failed to fetch https://download.mono-project.com/repo/debian/dists/raspbianstretch/main/binary-armhf/Packages
│ 504  Gateway Timeout
│ E: Some index files failed to download. They have been ignored, or old ones used instead.
Can anyone help me with this please?
User avatar
Joulinar
Posts: 6441
Joined: Sat Nov 16, 2019 12:49 am

Re: Cannot update to 7.7.3 from 7.1.2

Post by Joulinar »

I guess source list for Mono and Sonarr would need to be switched to HTTP to bypass certificate issue. Can you share following

Code: Select all

ls -la /etc/apt/sources.list.d/
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Namonai
Posts: 4
Joined: Mon Nov 08, 2021 10:34 am

Re: Cannot update to 7.7.3 from 7.1.2

Post by Namonai »

Thanks for the quick response. Here is the output:

Code: Select all

dietpi@DietPi:~$ ls -la /etc/apt/sources.list.d/
total 24
drwxr-xr-x 2 root root 4096 Jun  6  2019 .
drwxr-xr-x 6 root root 4096 Nov  8 10:35 ..
-rw-r--r-- 1 root root   48 Jun  6  2019 dietpi-php.list
-rw-r--r-- 1 root root   72 May  3  2021 mono-xamarin.list
-rw-r--r-- 1 root root   60 Sep 22  2018 raspi.list
-rw-r--r-- 1 root root   47 May  3  2021 sonarr.list
Namonai
Posts: 4
Joined: Mon Nov 08, 2021 10:34 am

Re: Cannot update to 7.7.3 from 7.1.2

Post by Namonai »

Since you mentioned the HTTP bypass, I found the following and executed the described steps:
https://github.com/MichaIng/DietPi/issu ... -932971401

I've already successfully executed "apt update" and am now running "apt upgrade". So hopefully this solves my issue. Will provide another update once I've successfully updated to 7.7.3.

€: OK, I've now successfully updated to 7.7.3. What I noticed during the switch from HTTPS to HTTP and back is that /etc/apt/sources.list was already only using HTTP and when changing it to HTTPS it didn't work anymore. I assume this is just how it is, but it's weird that this is not also already using HTTPS.
Post Reply